py4j.model

## Class Py4JMethod

- java.lang.Object
- - py4j.model.Py4JMember
  - - py4j.model.Py4JMethod

- All Implemented Interfaces:
    Comparable<Py4JMember>

      public class Py4JMethod
      extends Py4JMember

  Model of a Java method used to create a help page.

  Author:
    Barthelemy Dagenais

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Py4JMethod(String name, String javadoc, String[] parameterTypes, String[] parameterNames, String returnType, String container)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Py4JMethod` | `buildMethod(Method method)`
    `String` | `getContainer()`
    `String[]` | `getParameterNames()`
    `String[]` | `getParameterTypes()`
    `String` | `getReturnType()`
    `String` | `getSignature(boolean shortName)`

    - ### Methods inherited from class py4j.model.Py4JMember

      `compareTo, getJavadoc, getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Py4JMethod

          public Py4JMethod(String name,
                            String javadoc,
                            String[] parameterTypes,
                            String[] parameterNames,
                            String returnType,
                            String container)

  - ### Method Detail

    - #### buildMethod

          public static final Py4JMethod buildMethod(Method method)

    - #### getContainer

          public String getContainer()

    - #### getParameterNames

          public String[] getParameterNames()

    - #### getParameterTypes

          public String[] getParameterTypes()

    - #### getReturnType

          public String getReturnType()

    - #### getSignature

          public String getSignature(boolean shortName)

      Specified by:
        `getSignature` in class `Py4JMember`